ACPIHED(4) | Device Drivers Manual | ACPIHED(4)

# NAME

`acpihed` — ACPI Hardware Error Device

# SYNOPSIS

`acpihed* at acpi?`

# DESCRIPTION

Certain hardware error sources that can be queried by apei(4) notify an ACPI node with PNP ID ‘`PNP0C33`’ when an error occurs. The `acpihed` driver listens for these notifications and passes them on to apei(4) so it can report the error.

# SEE ALSO

acpi(4), apei(4)

ACPI Specification 6.5, https://uefi.org/specs/ACPI/6.5/18_Platform_Error_Interfaces.html, Chapter 18: ACPI Platform Error Interfaces (APEI).

# HISTORY

The `acpihed` driver first appeared in NetBSD 10.1.

# AUTHORS

The `acpihed` driver was written by Taylor R Campbell <riastradh@NetBSD.org>.

March 18, 2024 | NetBSD 11.99